View Issue Details

IDProjectCategoryView StatusLast Update
0001078FreeCADFeaturepublic2013-06-20 22:22
ReporterbrnrdAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.13 
Target VersionFixed in Version0.14 
Summary0001078: Snap Center Point at Center of Cylinder, Circle
DescriptionWhen following the tutorial at http://www.freecadweb.org/wiki/index.php?title=Engine_Block_Tutorial

in paragraph "Cutting Down the Excess Billet Material from the Block",
I can't get FreeCAD to snap the Regular Polygon center to the center of the cylinder while holding down the CTRL button.

It should snap at x:40, y:0.

I tried this with a new circle in a new document where it did not work, either.

Not sure what the specifications are so I am guessing it is a new feature.
TagsNo tags attached.

Activities

yorik

2013-04-23 21:58

administrator   ~0003106

It is normal that the center of a regular polygon cannot be snapped (but it is a good idea, I'll keep this open to add that feature)

But snapping to the center of circle-based objects (Draft circles, cylinders, etc) works normally for me.

brnrd

2013-04-24 02:23

reporter   ~0003110

Perhaps we misunderstand each other. The tutorial asks to snap the center of the polygon to the center of an existing cylinder. In case of the tutorial the existing cylinder is that of the engine, and the new polygon to be drawn at the center of the cylinder is a construction object. As this does not currently work in the version I have, I tried to draw a circle and snap it to the center of the cylinder as well. But that does not work for me either. I just attach the file that I made from the tutorial at this stage.

2013-04-24 02:24

 

EngineBlock.FCStd (Attachment missing)

yorik

2013-06-20 22:22

administrator   ~0003234

With commit 33faa40, those 2 issues are fixed. Snapping now works with centers of polygons and cylinders.

Issue History

Date Modified Username Field Change
2013-04-01 20:13 brnrd New Issue
2013-04-23 21:58 yorik Note Added: 0003106
2013-04-23 21:58 yorik Status new => assigned
2013-04-23 21:58 yorik Assigned To => yorik
2013-04-24 02:23 brnrd Note Added: 0003110
2013-04-24 02:24 brnrd File Added: EngineBlock.FCStd
2013-06-20 22:22 yorik Note Added: 0003234
2013-06-20 22:22 yorik Status assigned => closed
2013-06-20 22:22 yorik Resolution open => fixed
2013-06-20 22:22 yorik Fixed in Version => 0.14